@import "./colors";
@import "./mixins";

// 

.userBooksSection{
    // background-image: url(../public/userbg.svg);
    // height: 300px;
    // background-repeat: no-repeat;
    position: relative;
    overflow: hidden;
    // height: 250px;
    &::before{
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 100%;
        width: 100%;
        background-color: $lilac;
        border-radius: 111%;
        transform-origin: bottom;
        transform: scale(1.4);
    }
    .userHeading{
        position: relative;
        z-index: 1;
        margin-top: 48px;
        margin-bottom: 24px;
    }
    .banner{
        position: relative;
        z-index: 1;
        display: flex;
        align-items: center;
        &__box{
            max-height: 232px;
            border-radius: 18px;
            padding: 16px;
            flex: 0 0 278px;
            max-width: 278px;
            margin-right: 20px;
            display: flex;
            flex-direction: column;
            background: linear-gradient(180deg, #FFDFC0 0%, #7CD2BA 100%);
            &:nth-child(2){
                background: linear-gradient(179.29deg, #ABE2F5 -0.99%, #828BDF 99.41%);
            }
            &:nth-child(3){
                background: linear-gradient(180deg, #C0EADE 0%, #7CC9E3 100%);
            }
            &:last-child{
                background: linear-gradient(180deg, #FFDFC0 0%, #E1808E 100%);
                margin-right: 0;
            }
        }

        &__headline{
            margin-top: 10px;
            i{
                background: rgba(255, 255, 255, 0.15);
                color: $white;
                width: 24px;
                height: 24px;
                display: inline-flex;
                justify-content: center;
                align-items: center;
                border-radius: 8px;
                margin-right: 4px;
                &::before{
                    font-size: 12px;
                }
            }
        }
    }

    .contiRead{
        display: flex;
        align-items: center;
        margin-top: 54px;
        margin-bottom: 16px;
        &__Heading{
            position: relative;
            z-index: 1;
            margin-right: 10px;
        }

        &__banner{
            position: relative;
            display: flex;
            align-items: center;
        }

        &__bannerBox{
            max-height: 206px;
            flex: 0 0 278px;
            max-width: 278px;
            margin-right: 20px;
            display: flex;
            flex-direction: column;
            position: relative;
            &:last-child{
                margin-right: 0;
            }
            img{
                border-radius: 8px;
            }
        }
    }
    .info{
        position: absolute;
        right: -1px;
        bottom: 0;
        width: 32px;
        height: 32px;
    }
}

// story category css
.categorySection{
    background-color: #FAECF9;
    height: 100vh;
    margin-top: 100px;
    position: relative;
    border-radius: 180px;
    min-height: 1200px;
    .category{
        &__header{
            background-color: #FDEBD4;
            box-shadow: 0px 8px 8px rgba(0, 0, 0, 0.12);
            border-radius: 16px;
            padding: 16px 40px;
            height: 80px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-top: -40px;
        }
        &__headerLeft{
            h4{
                margin: 0;
            }
        }
        &__headerRight{
            ul{
                display: flex;
                align-items: center;
                li{
                    display: flex;
                    align-items: center;
                    background-color: #fff;
                    border-radius: 24px;
                    padding: 4px 12px;
                    width: 83px;
                    height: 40px;
                    margin-right: 40px;
                    &:last-child{
                        width: auto;
                        background-color: transparent;
                    }
                    a{
                        display: flex;
                        align-items: center;
                    }
                }
            }
        }

        &__ViewAll{
            width: auto;
            background-color: transparent;
        }
    }

    // Swiper_slider css

    .SwipersliderSection{
        margin-top: 100px;
        margin-left: 140px;
        .mySwiper{
            &__slide{
                width: 282px !important;
                cursor: pointer;
                position: relative;
                height: 206px !important;
                transform: none;
                &:first-child{
                    &:hover{
                        .mySwiper{
                            &__info{
                                left: 40px;
                            }
                        }
                        
                    }
                }
                &:hover{
                    display: inline-block;
                    .mySwiper{
                        &__info{
                            opacity: 1;
                            /* transition: opacity 2000ms; */
                            box-shadow: 0 10px 10px -10px rgb(0 0 0 / 50%);
                            -webkit-transform: scale(1.1);
                            transform: scale(1.2);
                            max-width: 400px;
                        }
                    }
                }
            }
            &__slideImg{
                border-radius: 8px;
            }

            &__info{
                position: absolute;
                left: 0;
                top: 0;
                font-weight: 300;
                font-size: 0.75rem;
                width: 400px;
                opacity: 0;
                transition: opacity 100ms;
                background-color: #fff;
                min-height: 206px;
                z-index: 1;
                vertical-align: middle;
                -webkit-transform: perspective(1px) translateZ(0);
                transform: perspective(1px) translateZ(0);
                box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.3);
                -webkit-transition-duration: 0.3s;
                transition-duration: 0.3s;
                -webkit-transition-property: box-shadow, transform;
                transition-property: box-shadow, transform;
                padding: 16px;
                border-radius: 8px;
                p{
                    color: #323232;
                }
            }

            &__infoDetailsImg{
                border-radius: 8px;
            }
        }
        
    }
}








